irssi (1.4.5-1ubuntu6) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 10:32:51 +0200

irssi (1.4.5-1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:32:16 +0000

irssi (1.4.5-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:16:24 +0000

irssi (1.4.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:01:22 +0100

irssi (1.4.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:05:19 +0100

irssi (1.4.5-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:37:07 +0200

irssi (1.4.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop upstream patch.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Oct 2023 04:27:09 -0400

irssi (1.4.4-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 21:14:27 +0200

irssi (1.4.4-2) unstable; urgency=medium

  * d/p/30perl-ntype:
    - Grab an upstream commit to fix compatibility with perl 5.38.

 -- Unit 193 <unit193@debian.org>  Thu, 31 Aug 2023 05:03:00 -0400

irssi (1.4.4-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Jun 2023 13:57:19 +0200

irssi (1.4.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop patches no longer needed.
  * d/control: Update Build-Depends: libncurses5-dev → libncurses-dev.
  * d/irssi.lintian-overrides: Simplify, using globs.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 23:57:10 -0400

irssi (1.4.3-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Apr 2023 21:57:50 +0200

irssi (1.4.3-2) unstable; urgency=critical

  * Pull commit c554a4 from upstream to fix CVE-2023-29132 (closes: #1033785)

 -- Rhonda D'Vine <rhonda@debian.org>  Fri, 14 Apr 2023 10:25:21 +0200

irssi (1.4.3-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Dec 2022 17:50:13 +0100

irssi (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 03 Nov 2022 23:12:48 -0400

irssi (1.4.2-1ubuntu2) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:24:12 +0100

irssi (1.4.2-1ubuntu1) devel; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.
  * Dropped changes, superseded upstream;
    - Add Libera to default config.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 20 Jul 2022 00:04:23 -0400

irssi (1.4.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix compilation with Perl 5.36. (Closes: #1014930)

 -- Unit 193 <unit193@debian.org>  Sat, 16 Jul 2022 16:27:07 -0400

irssi (1.4.1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
    - Drop patch no longer needed, refresh remaining.
  * d/control:
    - Drop version constraints no longer needed.
    - R³: no.
  * d/control, d/rules, d/irssi.install: Switch to the meson buildsystem.
  * d/irssi.(install,lintian-overrides,manpages), d/rules: Drop botti.
  * d/irssi.menu: Drop, no longer needed.
  * Update Standards-Version to 4.6.1.

  [ Rhonda D'Vine ]
  * Add Unit 193 to Uploaders.
  * Bump watch file version.
  * Add Forwarded: not-needed to patches where applicable.
  * Remove asterisk from debian/NEWS.
  * Update lintian overrides files.

 -- Unit 193 <unit193@debian.org>  Tue, 28 Jun 2022 22:25:50 -0400

irssi (1.2.3-1ubuntu4) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:40:30 +0100

irssi (1.2.3-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:37:22 +0000

irssi (1.2.3-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:13 +0200

irssi (1.2.3-1ubuntu1) impish; urgency=medium

  * Add Libera to default config and update suggestion for Ubuntu channels.
  * Merge with Debian unstable (LP: #1928815). Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Libera and joining #ubuntu.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 25 May 2021 09:32:10 -0600

irssi (1.2.3-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Remove patch 26glib-2-63.patch, included upstream.

 -- Rhonda D'Vine <rhonda@debian.org>  Mon, 19 Apr 2021 17:50:39 +0200

irssi (1.2.2-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable (LP: #1915558). Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      + When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to freenode and joining #ubuntu.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 12 Feb 2021 15:51:38 -0700

irssi (1.2.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove 2 unused lintian overrides.

  [ Rhonda D'Vine ]
  * New patch 26glib-2-63.patch from upstream to fix freeze on ctrl-space
    (closes: #977335)
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to 13.
  * irssi-plugin-otr: set Multi-Arch: same

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 20 Jan 2021 09:19:06 +0100

irssi (1.2.2-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:51:16 +0100

irssi (1.2.2-1ubuntu2) groovy; urgency=medium

  * debian/patches/1183.patch: [PATCH] manually handle NUL unicode in
    g_utf8_get_next_char_validated.  Thanks to ailin-nemui <ailin-
    nemui@users.noreply.github.com>.  Closes LP: #1882401.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2020 15:56:50 -0700

irssi (1.2.2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to freenode and joining #ubuntu.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 28 Jan 2020 12:26:29 +0100

irssi (1.2.2-1) unstable; urgency=high

  * New upstream bugfix release:
    - fixes use-after-free issue, CVE-2019-15717 (closes: #936074)
    - fixes intermittent segfault on startup (closes: #935813)
  * Rename the debian/NEWS file so that it actually gets installed into the
    binary packages (closes: #926493)

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 12 Sep 2019 16:11:43 +0200

irssi (1.2.1-1ubuntu3) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:28:07 +0000

irssi (1.2.1-1ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: Use after free
    - debian/patches/CVE-2019-15717.patch: fix use after free receiving caps
      in src/irc/core/irc-cap.c.
    - CVE-2019-15717

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 02 Sep 2019 16:49:49 -0300

irssi (1.2.1-1ubuntu1) devel; urgency=medium

  * Merge from Debian. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to freenode and joining #ubuntu.
  * Changes no longer needed:
    - d/p/CVE-2019-13045.patch: Drop upstream patch.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 08 Jul 2019 17:21:57 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog irssi`.
